Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class Message

    java.lang.Object
      madkit.kernel.Message

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ActMessage, BallMessage, ChatMessage, ChatterMessage, CommandMessage, ControlMessage, EndDownloadMessage, EndDownloadMessage, FicMessage, FicMessage, FormalismMessage, FoundMessage, FoundMessage, IndexMessage, IndexMessage, InfoServMessage, KernelMessage, KillMessage, KillMessage, LineChartMessage, ListMessage, NetConfigMessage, NetworkMessage, NetworkRequest, ObjectMessage, OffsetMessage, OffsetMessage, PingMessage, PluginInfoMessage, PluginInfoMessage, PositionMessage, RequestPluginInfoMessage, RequestPluginInfoMessage, RequestSearchFileMessage, RequestSearchFileMessage, RequestTreeMessage, RequestTreeMessage, ReturnMessage, ReturnMessage, SearchFileMessage, SearchFileMessage, SearchMessage, SearchMessage, SEditMessage, ShareServerMessage, StringMessage, TreeMessage, TreeMessage, WarbotMessage, XMLMessage

    public class Message

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The generic MadKit message class. Use a subclass to adapt it to your needs. This class is quite lightweight, it just defines sender and receivers (expressed with AgentAddres class) and automatically stamp the date of send on the message

Author:
  Olivier Gutknecht, Fabien Michel revized for MadKit 3.0 05/09/01
See Also:
  Serialized Form

Constructor Summary
`Message()`

Method Summary
`java.lang.Object` | `clone()` Mandatory for some deep optimizations in the micro kernel message passing code
`java.util.Date` | `getCreationDate()` Returns the creation date for the message (instanciation time)
`AgentAddress` | `getReceiver()` Returns the intended receiver
`AgentAddress` | `getSender()` Returns the original sender.
`java.lang.String` | `toString()` Returns a debug string with enveloppe and content for the message

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Message

    public Message()

Method Detail

### getSender

    public final AgentAddress getSender()

  Returns the original sender. This information can be trusted

### getReceiver

    public final AgentAddress getReceiver()

  Returns the intended receiver

### getCreationDate

    public final java.util.Date getCreationDate()

  Returns the creation date for the message (instanciation time)

### clone

    public java.lang.Object clone()

  Mandatory for some deep optimizations in the micro kernel message passing code

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns a debug string with enveloppe and content for the message

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.